Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# GIOPC.cpp File Reference

`#include "tao/GIOPC.h"`
`#include "tao/Environment.h"`
`#include "tao/Any.h"`
`#include "tao/Typecode.h"`
`#include "GIOPC.i"`

Include dependency graph for GIOPC.cpp:

## Functions
CORBA::TypeCode | _tc_TAO_tc_GIOP_AddressingDisposition (CORBA::tk_alias, sizeof (_oc_GIOP_AddressingDisposition), (char *) &_oc_GIOP_AddressingDisposition, 0, sizeof (GIOP::AddressingDisposition))
CORBA::TypeCode | _tc_TAO_tc_GIOP_IORAddressingInfo (CORBA::tk_struct, sizeof (_oc_GIOP_IORAddressingInfo), (char *) &_oc_GIOP_IORAddressingInfo, 0, sizeof (GIOP::IORAddressingInfo))
CORBA::TypeCode | _tc_TAO_tc_GIOP_TargetAddress (CORBA::tk_union, sizeof (_oc_GIOP_TargetAddress), (char *) &_oc_GIOP_TargetAddress, 0, sizeof (GIOP::TargetAddress))
void | operator<<= (CORBA::Any &_tao_any, const GIOP::IORAddressingInfo &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, GIOP::IORAddressingInfo *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, GIOP::IORAddressingInfo *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const GIOP::IORAddressingInfo *&_tao_elem)
void | operator<<= ( CORBA::Any &_tao_any, const GIOP::TargetAddress &_tao_elem )
void | operator<<= ( CORBA::Any &_tao_any, GIOP::TargetAddress *_tao_elem )
CORBA::Boolean | operator>>= ( const CORBA::Any &_tao_any, GIOP::TargetAddress *&_tao_elem )
CORBA::Boolean | operator>>= ( const CORBA::Any &_tao_any, const GIOP::TargetAddress *&_tao_elem )
## Variables
const CORBA::Long | _oc_GIOP_AddressingDisposition []
const CORBA::Long | _oc_GIOP_TargetAddress []

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_GIOP_AddressingDisposition ( | CORBA::tk_alias,
| sizeof(_oc_GIOP_AddressingDisposition),
| (char *)& _oc_GIOP_AddressingDisposition,
| 0,
| sizeof(GIOP::AddressingDisposition) )`[static]`

CORBA::TypeCode _tc_TAO_tc_GIOP_IORAddressingInfo ( | CORBA::tk_struct,
| sizeof(_oc_GIOP_IORAddressingInfo),
| (char *)& _oc_GIOP_IORAddressingInfo,
| 0,
| sizeof(GIOP::IORAddressingInfo) )`[static]`

CORBA::TypeCode _tc_TAO_tc_GIOP_TargetAddress ( | CORBA::tk_union,
| sizeof(_oc_GIOP_TargetAddress),
| (char *)& _oc_GIOP_TargetAddress,
| 0,
| sizeof(GIOP::TargetAddress) )`[static]`

void operator<<= ( | CORBA::Any & _tao_any,
| GIOP::TargetAddress * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const GIOP::TargetAddress & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| GIOP::IORAddressingInfo * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const GIOP::IORAddressingInfo & _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const GIOP::TargetAddress *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| GIOP::TargetAddress *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const GIOP::IORAddressingInfo *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| GIOP::IORAddressingInfo *& _tao_elem )

## Variable Documentation

const CORBA::Long _oc_GIOP_AddressingDisposition[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      43, ACE_NTOHL (0x49444c3a), ACE_NTOHL (0x6f6d672e), ACE_NTOHL (0x6f72672f), ACE_NTOHL (0x47494f50), ACE_NTOHL (0x2f416464), ACE_NTOHL (0x72657373), ACE_NTOHL (0x696e6744), ACE_NTOHL (0x6973706f), ACE_NTOHL (0x73697469), ACE_NTOHL (0x6f6e3a31), ACE_NTOHL (0x2e300000),
      22, ACE_NTOHL (0x41646472), ACE_NTOHL (0x65737369), ACE_NTOHL (0x6e674469), ACE_NTOHL (0x73706f73), ACE_NTOHL (0x6974696f), ACE_NTOHL (0x6e000000),
      CORBA::tk_short,

    }

const CORBA::Long _oc_GIOP_TargetAddress[]`[static]`